---
categories: Desktop
title: Howto KeepassX
...

* Site web <https://www.keepassx.org/>  

KeePassX est un logiciel de gestion des mots de passe. C'est un fork du logiciel [KeePass](http://keepass.info/) avec lequel son format de stockage (.kdb/.kdbx) est compatible. 
 
KeePassX 0.4 utilise le format .kdb (compatible avec [KeePass](http://keepass.info/) 1)  
KeePassX 2 utilise le format .kdbx (compatible avec [KeePass](http://keepass.info/) 2).

**Nous utilisons pour l'instant KeePassX 0.4 et son format .kdb**

## Installation

~~~
# apt install keepassx kpcli
~~~

Sous Debian *Jessie* c'est KeepassX 0.4.3 qui est distribué. Incompatible avec le format kdbx. Pour cela il faut se tourner vers la version présente dans *jessie-backports*.

Sous Debian *Stretch* c'est KeepassX 2.0.3 qui est distribué

## Utilisation de base (Client graphique)

Vous pouvez créer un fichier .kdb protégé par mot de passer et/ou clé pour stocker vos mots de passe : Fichier> Nouvelle base de données> Mot de passe: PASSWORD > OK > Enregistrer la base de données

Vous pourrez ainsi ultérieurement l'utiliser via :

~~~
$ keepass db.kdb
~~~

## kpcli

kpcli est un utilitaire permettant la manipulation de fichier kdb depuis la console. Il couvre toute les fonctions principales utilisables dans le logiciel graphique. Il se comporte comme un mini shell, permettant d'interagir avec le container de mots de passe.

### Créer une nouvelle base

Il suffit de lancer kpcli sans arguments, puis de sauvegarder : 

~~~
$ kpcli
kpcli:/> help saveas
saveas: Save to a specific filename (saveas <file.kdb> [<file.key>])
kpcli:/> saveas foo.kdb
Please provide the master password: *************************
Retype to verify: *************************
~~~

### Utilisation courante 

kpcli a quelques options au démarrage. Les plus utiles étant : 

* `--kdb FICHIER.kdb` - Spécifie le fichier kdb à ouvrir. 
* `--key FICHIER` - Spécifie le fichier clé à utiliser pour déverrouiller la base
* `--readonly` - Ouverture de la base de donnée en lecture seule

~~~
$ kpcli -kdb db.kdb

Please provide the master password: *************************
KeePass CLI (kpcli) v2.7 is ready for operation.
Type 'help' for a description of available commands.
Type 'help <command>' for details on individual commands.

kpcli:/> ls
=== Groups ===
eMail/
Internet/
kpcli:/> cd Internet/
kpcli:/Internet> ls
=== Entries ===
0. foo                                                               
kpcli:/Internet> show 0

 Path: /Internet
Title: foo
Uname: foo
 Pass:
  URL: https://secure.example.com/
Notes:

kpcli:/Internet> exit
~~~

Note : le champ "Pass" est invisible mais l'on peut le copier/coller avec la souris.

### Ajouter une entrée

~~~
$ kpcli:/Internet> new
Adding new entry to "/Internet"
Title: example
Username: root
Password:                ("g" or "w" to auto-generate, "i" for interactive)
Retype to verify: 
URL: 
Notes/Comments (""):
Database was modified. Do you want to save it now? [y/N]: 
Saved to /home/evolix/partage/private/evolix.shared.kdb
~~~